Subject: [sieve] [Technical Errata Reported] RFC5230 (6294)

From: RFC Errata System <[email-masked]>
Date: Tue, 22 Sep 2020 06:01:21 -0700 (PDT)

The following errata report has been submitted for RFC5230,
"Sieve Email Filtering: Vacation Extension".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6294

--------------------------------------
Type: Technical
Reported by: Ken Murchison <[email-masked]>

Section: 4.4

Original Text
-------------
require "vacation";
vacation :mime text:
Content-Type: multipart/alternative; boundary=foo

--foo

I'm at the beach relaxing.  Mmmm, surf...

--foo
Content-Type: text/html; charset=us-ascii

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN"
 "http://www.w3.org/TR/REC-html40/strict.dtd">
<HTML><HEAD><TITLE>How to relax</TITLE>
<BASE HREF="http://home.example.com/pictures/"></HEAD>
<BODY><P>I'm at the <A HREF="beach.gif">beach</A> relaxing.
Mmmm, <A HREF="ocean.gif">surf</A>...
</BODY></HTML>

--foo--
.

Corrected Text
--------------
require "vacation";
vacation :mime text:
Content-Type: multipart/alternative; boundary=foo

--foo

I'm at the beach relaxing.  Mmmm, surf...

--foo
Content-Type: text/html; charset=us-ascii

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN"
 "http://www.w3.org/TR/REC-html40/strict.dtd">
<HTML><HEAD><TITLE>How to relax</TITLE>
<BASE HREF="http://home.example.com/pictures/"></HEAD>
<BODY><P>I'm at the <A HREF="beach.gif">beach</A> relaxing.
Mmmm, <A HREF="ocean.gif">surf</A>...
</BODY></HTML>

--foo--
.
;

Notes
-----
The ';' terminating the vacation action command is missing.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5230 (draft-ietf-sieve-vacation-06)
--------------------------------------
Title               : Sieve Email Filtering: Vacation Extension
Publication Date    : January 2008
Author(s)           : T. Showalter, N. Freed, Ed.
Category            : PROPOSED STANDARD
Source              : Sieve Mail Filtering Language
Area                : Applications
Stream              : IETF
Verifying Party     : IESG